        ; **************************************************************
        ; *** 3D-VERFY Procedure - For Intel 386  (c) R.Heuberger ***
        ; **************************************************************
        ; ***         Version for the SHD - ADAPTER -BOX             ***
        ; **************************************************************
        ; 
        ;       Eingangs-Bedingungen:  X-Schritte: EAX
        ;                              Y-Schritte: EBX
        ;                              Z-Schritte: ECX
        ;                Vorschub-Geschwindigkeit: EDX
        ;
        ; Defenitions - local buffer ( offsets ) : 
        ;  di[0]  = PHYSICAL-xstepp      di[4]  = PHYSICAL-ystepp 
        ;  di[8]  = PHYSICAL-zstepp      di[12] = temparary store
        ;  di[16] = G17(=0), G18(=1), G19(=2) - Flag. 
        ;
        ;
        TITLE VERIFY
        .Model Large
        .386
        .code
        ;
stepp   proc
        push    di              ; Save di
        push    si              ; Save si
        ;
        and     eax,eax         ; IF   xstepp value not equal "0"
        jne     sbegin          ; THEN start program.
        and     ebx,ebx         ; IF   ystepp value not equal "0"
        jne     sbegin          ; THEN start program.
        and     ecx,ecx         ; IF   zstepp value equal "0"
        je      abo             ; THEN exit.
        ;
sbegin: lea     di, OFFSET lobuf  ; di = Pointer to local buffer.
        mov     cs:[di]+12,edx    ; Save 
        ;
        ;
        add     cs:[di],eax       ;-; PHYSICAL: Calculate current X-Position.
        add     cs:[di]+4,ebx     ;-; PHYSICAL: Calculate current Y-Position.
        add     cs:[di]+8,ecx     ;-; PHYSICAL: Calculate current Z-Position.
        ;
        ;
abo:    pop     si                      ; Restore si - register
        pop     di                      ; Restore di - register
        ret
        ;
        ;
gab     db   2 dup(3)
lobuf   db  20 dup(0)
endb1   dd   1 dup(12345678h)
        ;
stepp   endp
        ;
        ;
        end
